ChangeSet 1.1074.1.16, 2003/07/09 22:18:06-07:00, greg@kroah.com

[PATCH] USB: fix up previous sl811 patch.


 drivers/usb/host/Config.in |    5 +++--
 drivers/usb/host/sl811.c   |    6 +++---
 2 files changed, 6 insertions(+), 5 deletions(-)


diff -Nru a/drivers/usb/host/Config.in b/drivers/usb/host/Config.in
--- a/drivers/usb/host/Config.in	Mon Jul 14 10:04:10 2003
+++ b/drivers/usb/host/Config.in	Mon Jul 14 10:04:10 2003
@@ -12,5 +12,6 @@
    define_bool CONFIG_USB_UHCI_ALT n
 fi
 dep_tristate '  OHCI (Compaq, iMacs, OPTi, SiS, ALi, ...) support' CONFIG_USB_OHCI $CONFIG_USB
-dep_tristate '  SL811HS Alternate (support isochornous mode)' CONFIG_USB_SL811HS_ALT $CONFIG_USB
-
+if [ "$CONFIG_ARM" = "y" ]; then
+  dep_tristate '  SL811HS Alternate (support isochornous mode)' CONFIG_USB_SL811HS_ALT $CONFIG_USB
+fi
diff -Nru a/drivers/usb/host/sl811.c b/drivers/usb/host/sl811.c
--- a/drivers/usb/host/sl811.c	Mon Jul 14 10:04:10 2003
+++ b/drivers/usb/host/sl811.c	Mon Jul 14 10:04:10 2003
@@ -34,11 +34,11 @@
 #include <linux/list.h>
 #include <linux/ioport.h>
 #include <asm/io.h>
-#include <asm/arch/irq.h>
+#include <linux/irq.h>
 #include <linux/usb.h>
 
-#include "hcd.h"
-#include "hub.h"
+#include "../hcd.h"
+#include "../hub.h"
 #include "sl811.h"
 
 #define DRIVER_VERSION "v0.28"
